> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Retrieve a list of enabled authentication providers that can be used to activate an invited user.

POST https://test.api.solvimon.com/v{version}/authentication-providers/enabled
Content-Type: application/json

Reference: https://docs.solvimon.com/api-docs/identity-api/authentication-providers/post-authentication-providers-enabled

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects an AuthenticationProviderRequestCreateRequest.

- `token` (string, optional)
- `email` (string, optional)

## Response

### 200

OK

- `data` (list of AuthenticationProvider, required)
- `links` (PaginationLinks, required)
- `limit` (integer, optional, nullable)
- `page` (integer, optional, nullable)
- `total_number_of_pages` (integer, optional, nullable, deprecated)

## Types

### AuthenticationProvider

- `id` (string, optional, nullable)
- `entity_id` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `DEFAULT`, `SSO`
- `name` (string, optional)
- `status` (enum, optional)
  - Allowed values: `ENABLED`, `DISABLED`
- `sso` (SSOVariant, optional)

### PaginationLinks

- `first` (string, optional, nullable)
- `previous` (string, optional, nullable)
- `current` (string, optional, nullable)
- `next` (string, optional, nullable)

### SSOVariant

- `variant` (enum, optional)
  - Allowed values: `GOOGLE`, `OKTA`, `MICROSOFT`
- `allowed_domains` (list of string, optional)
- `okta` (SSOAuthenticationProviderVariantSettings, optional)
- `microsoft` (SSOAuthenticationProviderVariantSettings, optional)

### SSOAuthenticationProviderVariantSettings

- `connection` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "id": "ap_7f3d2a1b-4e5c-4f8a-9b2d-1c3e5f7a9b0d",
      "entity_id": "ent_3c5e7a9b-1d2f-4e6a-8c0b-2d4f6a8c0e2f",
      "type": "SSO",
      "name": "Corporate Google SSO",
      "status": "ENABLED",
      "sso": {
        "variant": "GOOGLE",
        "allowed_domains": [
          "solvimon.com"
        ],
        "okta": {
          "connection": "solvimon-okta-connection"
        },
        "microsoft": {
          "connection": "solvimon-microsoft-connection"
        }
      }
    }
  ],
  "links": {
    "first": "https://api.solvimon.com/v1/authentication-providers/enabled?page=1&limit=25",
    "previous": null,
    "current": "https://api.solvimon.com/v1/authentication-providers/enabled?page=1&limit=25",
    "next": null
  },
  "limit": 25,
  "page": 1,
  "total_number_of_pages": 1
}
```

**SDK Code**

```python
import requests

url = "https://test.api.solvimon.com/v1/authentication-providers/enabled"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://test.api.solvimon.com/v1/authentication-providers/enabled';
const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://test.api.solvimon.com/v1/authentication-providers/enabled"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://test.api.solvimon.com/v1/authentication-providers/enabled")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://test.api.solvimon.com/v1/authentication-providers/enabled")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://test.api.solvimon.com/v1/authentication-providers/enabled', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://test.api.solvimon.com/v1/authentication-providers/enabled");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/authentication-providers/enabled")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```